## praat 6.4.46+dfsg

=== Makefile ===
# File: Makefile

# Makefile for Praat
# Paul Boersma & David Weenink, 7 July 2025

# System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
# makefile.defs, which has to be copied and renamed
# from a suitable makefile.defs.XXX file in the makefiles directory,
# Perhaps that file requires some editing.
include makefile.defs

.PHONY: all clean install

# Makes the Praat executable in the source directory.
all: all-external all-self
	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
		artsynth/libartsynth.a FFNet/libFFNet.a \
		gram/libgram.a EEG/libEEG.a \
		LPC/libLPC.a dwtools/libdwtools.a sensors/libsensors.a \
		foned/libfoned.a fon/libfon.a stat/libstat.a \
		dwsys/libdwsys.a sys/libsys.a melder/libmelder.a kar/libkar.a \
		external/espeak/libespeak.a \
		external/portaudio/libportaudio.a \
		external/flac/libflac.a external/lame/liblame.a external/mp3/libmp3.a \
		external/glpk/libglpk.a \
		external/clapack/libclapack.a \
		external/gsl/libgsl.a \
		external/num/libnum.a \
		external/vorbis/libvorbis.a \
		external/opusfile/libopusfile.a \
		$(LIBS)

all-external:
	$(MAKE) -C external/clapack
	$(MAKE) -C external/gsl
	$(MAKE) -C external/glpk
	$(MAKE) -C external/lame
	$(MAKE) -C external/mp3
	$(MAKE) -C external/num
	$(MAKE) -C external/flac
	$(MAKE) -C external/portaudio
	$(MAKE) -C external/espeak
	$(MAKE) -C external/vorbis
	$(MAKE) -C external/opusfile

all-self:
	$(MAKE) -C kar
	$(MAKE) -C melder
	$(MAKE) -C sys
	$(MAKE) -C dwsys
	$(MAKE) -C stat
	$(MAKE) -C fon
	$(MAKE) -C foned
	$(MAKE) -C dwtools
	$(MAKE) -C LPC
	$(MAKE) -C EEG
	$(MAKE) -C sensors
	$(MAKE) -C gram
	$(MAKE) -C FFNet
	$(MAKE) -C artsynth
	$(MAKE) -C main main_Praat.o $(ICON)

clean: clean-external clean-self
	$(RM) praat

clean-external:
	$(MAKE) -C external/clapack clean
	$(MAKE) -C external/gsl clean
	$(MAKE) -C external/glpk clean
	$(MAKE) -C external/lame clean
	$(MAKE) -C external/mp3 clean
	$(MAKE) -C external/num clean
	$(MAKE) -C external/flac clean
	$(MAKE) -C external/portaudio clean
	$(MAKE) -C external/espeak clean
	$(MAKE) -C external/vorbis clean
	$(MAKE) -C external/opusfile clean

clean-self:
	$(MAKE) -C kar clean
	$(MAKE) -C melder clean
	$(MAKE) -C sys clean
	$(MAKE) -C dwsys clean
	$(MAKE) -C stat clean
	$(MAKE) -C fon clean
	$(MAKE) -C foned clean
	$(MAKE) -C dwtools clean
	$(MAKE) -C LPC clean
	$(MAKE) -C EEG clean
	$(MAKE) -C sensors clean
	$(MAKE) -C gram clean
	$(MAKE) -C FFNet clean
	$(MAKE) -C artsynth clean
	$(MAKE) -C main clean

install:
	$(INSTALL)

=== EEG/Makefile ===
# Makefile of the library "EEG"
# Paul Boersma, 27 July 2022

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon -I ../foned

OBJECTS = EEG.o EEGArea.o EEGAnalysisArea.o \
   EEGWindow.o ERPTier.o ERP.o ERPArea.o ERPWindow.o \
   praat_EEG.o manual_EEG.o

.PHONY: all clean

all: libEEG.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libEEG.a

libEEG.a: $(OBJECTS)
	touch libEEG.a
	rm libEEG.a
	$(AR) cq libEEG.a $(OBJECTS)
	$(RANLIB) libEEG.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma, 2 October 2025

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../foned -I ../dwtools -I ../sys -I ../dwsys -I ../stat \
	-I ..external/num

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o \
	FormantModeler.o FormantModelerList.o \
	FormantPath.o FormantPath_to_IntervalTier.o FormantPathArea.o FormantPathEditor.o \
	LineSpectralFrequencies.o \
	LPC.o \
	LPC_and_Formant.o LPC_and_Cepstrumc.o \
	LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o LPC_to_Spectrogram.o \
	LPC_and_Tube.o \
	PowerCepstrum.o PowerCepstrogram.o \
	Roots_and_Formant.o \
	Sound_and_LPC.o \
	Sound_to_PowerCepstrogram.o Sound_to_Formant_mt.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 2 October 2025

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../fon -I ../LPC -I ../foned -I ../EEG \
	-I ../external/clapack -I ../external/vorbis -I ../external/opusfile -I ../external/portaudio -I ../external/espeak \
	-I ..external/num

OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o ConstantQSpectrograms.o \
	DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o \
	Eigen_and_SSCP.o Excitations.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridAreas.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MDSVec.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_and_NMF.o Matrix_extensions.o \
	Matrix_Categories.o MDS.o MultiSampledSpectrogram.o \
	NavigationContext.o \
	OptimalCeilingTier.o OptimalCeilingTierArea.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial_to_Spectrum.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o Proximity_and_Distance.o \
	Resonator.o Roots_to_Spectrum.o \
	SampledIntoSampled.o SampledFrameIntoSampledFrame.o \
	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
	Sound_and_Spectrum_dft.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \
	Sound_and_TextGrid_extensions.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o \
	Spectrum_and_AnalyticSound.o Spectrum_and_MultiSampledSpectrogram.o \
	SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
	Table_extensions.o Table_dataSets.o TableOfReal_and_SVD.o \
	TableOfReal_extensions.o \
	TableOfReal_and_Discriminant.o TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	TextGridTierNavigator.o TextGridNavigator.o Vector_extensions.o VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_MultiSampledSpectrogram.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../fon/*.h ../foned/*.h ../LPC/*.h ../EEG/*.h \
	../external/clapack/*.h ../external/vorbis/*.h ../external/opusfile/*.h ../external/portaudio/*.h ../external/espeak/*.h

=== kar/Makefile ===
# Makefile of the library "kar"
# Paul Boersma, 26 April 2024

include ../makefile.defs

OBJECTS = ipaSerifRegularPS.o longchar.o wctype_portable.o

CPPFLAGS = -I ../melder

.PHONY: all clean

all: libkar.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libkar.a

libkar.a: $(OBJECTS)
	touch libkar.a
	rm libkar.a
	$(AR) cq libkar.a $(OBJECTS)
	$(RANLIB) libkar.a

$(OBJECTS): *.h ../melder/*.h

=== melder/Makefile ===
# Makefile of the library "melder"
# Paul Boersma, 22 August 2025

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../sys

OBJECTS = melder.o complex.o melder_alloc.o melder_str32.o melder_colour.o \
	melder_ftoa.o melder_console.o melder_atof.o melder_files.o \
	melder_sort.o MelderString.o melder_textencoding.o melder_debug.o MelderFile.o MelderCat.o \
	melder_search.o MelderThread.o \
	melder_info.o melder_error.o melder_warning.o melder_progress.o melder_casual.o \
	melder_play.o melder_help.o melder_time.o \
	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
	abcio.o melder_sysenv.o melder_app.o melder_trust.o regularExp.o \
	NUMmath.o \
	NUMspecfunc.o NUMear.o NUMinterpol.o NUMmetrics.o NUMrandom.o NUMfilter.o NUMlinprog.o \
	NUM.o STR.o VEC.o MAT.o STRVEC.o

.PHONY: all clean

all: libmelder.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmelder.a

libmelder.a: $(OBJECTS)
	touch libmelder.a
	rm libmelder.a
	$(AR) cq libmelder.a $(OBJECTS)
	$(RANLIB) libmelder.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h

=== sensors/Makefile ===
# makefile for library "sensors"
# David Weenink 20230927

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/clapack -I ../kar -I ../dwtools

OBJECTS = Electroglottogram.o EMA.o EMArawData.o praat_sensors_init.o


.PHONY: all clean

all: libsensors.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libsensors.a

libsensors.a: $(OBJECTS)
	touch libsensors.a
	rm libsensors.a
	$(AR) cq libsensors.a $(OBJECTS)
	$(RANLIB) libsensors.a

$(OBJECTS): *.h ../melder/*.h ../stat/*.h ../sys/*.h ../fon/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== stat/Makefile ===
# Makefile of the library "stat"
# Paul Boersma, 6 June 2022

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../foned -I ../stat

OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o \
   praat_TableOfReal.o praat_Stat.o \
   TableOfReal.o Distributions.o Distributions_and_Strings.o PairDistribution.o \
   LogisticRegression.o

.PHONY: all clean

all: libstat.a

libstat.a: $(OBJECTS)
	touch libstat.a
	rm libstat.a
	$(AR) cq libstat.a $(OBJECTS)
	$(RANLIB) libstat.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libstat.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h ../stat/*.h

=== external/clapack/Makefile ===
# Makefile of the library "external/clapack"
# David Weenink, 13 March 2020
# Paul Boersma, 24 May 2020

include ../../makefile.defs

CPPFLAGS = -I ../../melder

OBJECTS = blas.o \
	lapack.o lapack_dg.o lapack_dlaq.o \
	lapack_dlar.o lapack_ds.o lapack_dt.o

.PHONY: all clean

all: libclapack.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libclapack.a

libclapack.a: $(OBJECTS)
	touch libclapack.a
	rm libclapack.a
	$(AR) cq libclapack.a $(OBJECTS)
	$(RANLIB) libclapack.a

$(OBJECTS): *.h ../../melder/*.h

=== external/flac/Makefile ===
# Makefile of the library "external/flac"
# Erez Volk, March 2007
# Paul Boersma, 21 June 2025

include ../../makefile.defs

CPPFLAGS = -I ../../melder

OBJECTS = \
	flac_bitmath.o \
	flac_bitreader.o \
	flac_bitwriter.o \
	flac_cpu.o \
	flac_crc.o \
	flac_fixed.o \
	flac_float.o \
	flac_format.o \
	flac_lpc.o \
	flac_md5.o \
	flac_memory.o \
	flac_metadata_iterators.o \
	flac_metadata_object.o \
	flac_stream_decoder.o \
	flac_stream_encoder.o \
	flac_stream_encoder_framing.o \
	flac_window.o \
	flac_share_win_utf8_io.o

.PHONY: all clean

all: libflac.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libflac.a

libflac.a: $(OBJECTS)
	touch libflac.a
	rm libflac.a
	$(AR) cq libflac.a $(OBJECTS)
	$(RANLIB) libflac.a

$(OBJECTS): *.h ../../melder/*.h

=== external/glpk/Makefile ===
# Makefile for library "external/glpk"
# Paul Boersma, 24 August 2013

include ../../makefile.defs

OBJECTS = amd_1.o amd_2.o amd_aat.o amd_control.o amd_defaults.o amd_info.o \
   amd_order.o amd_post_tree.o amd_postorder.o amd_preprocess.o amd_valid.o \
   colamd.o \
   glpapi01.o glpapi02.o glpapi03.o glpapi04.o glpapi05.o glpapi06.o glpapi07.o \
   glpapi08.o glpapi09.o glpapi10.o glpapi11.o glpapi12.o glpapi13.o glpapi14.o \
   glpapi15.o glpapi16.o glpapi17.o glpapi18.o glpapi19.o \
   glpavl.o glpbfd.o glpbfx.o glpcpx.o glpdmp.o glpdmx.o \
   glpenv01.o glpenv02.o glpenv03.o glpenv04.o \
   glpenv05.o glpenv06.o glpenv07.o glpenv08.o \
   glpfhv.o glpgmp.o glphbm.o glpini01.o glpini02.o \
   glpios01.o glpios02.o glpios03.o glpios04.o glpios05.o glpios06.o \
   glpios07.o glpios08.o glpios09.o glpios10.o glpios11.o glpios12.o \
   glpipm.o glplib01.o glplib02.o glplib03.o glplpf.o \
   glplpx01.o glplpx02.o glplpx03.o \
   glpluf.o glplux.o glpmat.o \
   glpmpl01.o glpmpl02.o glpmpl03.o glpmpl04.o glpmpl05.o glpmpl06.o glpmps.o \
   glpnet01.o glpnet02.o glpnet03.o glpnet04.o glpnet05.o \
   glpnet06.o glpnet07.o glpnet08.o glpnet09.o \
   glpnpp01.o glpnpp02.o glpnpp03.o glpnpp04.o glpnpp05.o \
   glpqmd.o glprgr.o glprng01.o glprng02.o \
   glpscf.o glpscl.o glpsdf.o glpspm.o glpspx01.o glpspx02.o \
   glpsql.o glpssx01.o glpssx02.o glptsp.o

.PHONY: all clean

all: libglpk.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libglpk.a

libglpk.a: $(OBJECTS)
	touch libglpk.a
	rm libglpk.a
	$(AR) cq libglpk.a $(OBJECTS)
	$(RANLIB) libglpk.a

$(OBJECTS): *.h

=== external/lame/Makefile ===
# Makefile for library "external/liblame.a"
# David Weenink 20231212, Paul Boersma 20231229

include ../../makefile.defs

CPPFLAGS = -I ../../melder

OBJECTS = bitstream.o encoder.o fft.o gain_analysis.o mpglib_interface.o id3tag.o lame.o \
	newmdct.o psymodel.o quantize.o quantize_pvt.o set_get.o vbrquantize.o \
	reservoir.o tables.o takehiro.o util.o VbrTag.o \
	version.o presets.o vector_xmm_quantize_sub.o

.PHONY: all clean

all: liblame.a

clean:
	$(RM) $(OBJECTS)
	$(RM) liblame.a

liblame.a: $(OBJECTS)
	touch liblame.a
	rm liblame.a
	$(AR) cq liblame.a $(OBJECTS)
	$(RANLIB) liblame.a

$(OBJECTS): *.h

=== debian/changelog ===
praat (6.4.46+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.46+dfsg
  * d/watch: Take into account letter suffix in upstream version
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Wed, 22 Oct 2025 01:39:50 -0300

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libgtk-3-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               pandoc,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: https://www.praat.org

Package: praat
Architecture: any
Depends: file,
         oss-compat,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libasound2-plugins
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

Package: praat-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: program for speech analysis and synthesis (documentation)
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.
 .
 This package provides the HTML form of documentation for Praat
 (essentially a local copy of the website at praat.org).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications
CPLDIR = usr/share/bash-completion/completions

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g;	\
                s:@CPLDIR@:$(CPLDIR):g;'

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

ifneq (,$(filter $(DEB_HOST_ARCH), armel))
    export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean

execute_before_dh_auto_clean:
	touch makefile.defs

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	cp makefiles/makefile.defs.linux.pulse-gcc makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.md
	# Generate the man page from the Markdown source
	pandoc --standalone --to man $< -o $@

override_dh_auto_build: praat.1 praat_nogui.1 praat-launch.1
	dh_auto_build
	cp makefiles/makefile.defs.linux.nogui makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs
	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
		foned/FunctionEditor.o external/portaudio/*.o
	dh_auto_build

override_dh_auto_install:
	# Build and install the upstream changelog
	sed -n '/^R"~~~(/,/^)~~~"/{/^R"~~~(/!{/^)~~~"/!p}}' fon/manual_whatsnew.cpp > debian/what-is-new
	dh_installchangelogs debian/what-is-new
	dh_auto_install -- INSTALL=

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
endif

execute_after_dh_installdeb-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	rm debian/praat-doc/usr/share/doc/praat/docs/LICENSE.txt
endif

=== debian/tests/control ===
Tests: run-tests
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: praat
Project: praat
Repacksuffix: +dfsg
Dversionmangle: s/(?:\.([a-z]))?[~+]dfsg[0-9]*/\\1/

## praat 6.4.47+dfsg

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 2 October 2025
+# 18 October 2025
 
 include ../makefile.defs
 
@@ -44,6 +44,7 @@
 	Proximity.o Proximity_and_Distance.o \
 	Resonator.o Roots_to_Spectrum.o \
 	SampledIntoSampled.o SampledFrameIntoSampledFrame.o \
+	SoundFrames.o \
 	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
 	Sound_and_Spectrum_dft.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \

=== gram/Makefile ===
# Makefile of the library "gram"
# Paul Boersma, 7 September 2023

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon -I ../foned

OBJECTS = Network.o \
   OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
   OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
   OTMulti_ex_metrics.o Layer.o Net.o \
   NoulliGrid.o NoulliGridArea.o NoulliGridEditor.o CubeGrid.o CubeGridArea.o CubeGridEditor.o

.PHONY: all clean

all: libgram.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libgram.a

libgram.a: $(OBJECTS)
	touch libgram.a
	rm libgram.a
	$(AR) cq libgram.a $(OBJECTS)
	$(RANLIB) libgram.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h

=== external/espeak/Makefile ===
# makefile for libespeak
# djmw 20230912
# ppgb 20240105  compatible with 32-bit compilers (split off Russian)
# ppgb 20240828  compatible with low-resource compilers (split off Faroese)

include ../../makefile.defs

CPPFLAGS = -I ../../kar -I ../../melder -I ../../sys -I ../../dwsys -I ../../stat

OBJECTS = case.o categories.o common.o compiledict.o \
	dictionary.o \
	encoding.o error.o espeak_api.o \
	intonation.o klatt.o langopts.o mnemonics.o \
	numbers.o phonemelist.o proplist.o readclause.o \
	setlengths.o soundicon.o speech.o \
	ssml.o synthdata.o synthesize.o \
	tr_languages.o translate.o translateword.o voices.o wavegen.o \
	espeak_praat_FileInMemorySet_addLanguages.o espeak_praat_FileInMemorySet_addVoices.o \
	espeak_praat_FileInMemorySet_addRussianDict.o espeak_praat_FileInMemorySet_addFaroeseDict.o \
	espeak_praat_FileInMemorySet_addOtherDicts.o espeak_praat_FileInMemorySet_addPhon.o \
	espeak_praat.o

.PHONY: all clean

all: libespeak.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libespeak.a

libespeak.a: $(OBJECTS)
	touch libespeak.a
	rm libespeak.a
	$(AR) cq libespeak.a $(OBJECTS)
	$(RANLIB) libespeak.a

$(OBJECTS):  *.h ../../kar/*.h ../../melder/*.h ../../sys/*.h ../../dwsys/*.h ../../stat/*.h

=== debian/changelog ===
praat (6.4.47+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.47+dfsg
  * d/p/drop-no-pie.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 02:25:19 -0300

## praat 6.4.48+dfsg

=== debian/changelog ===
praat (6.4.48+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.48+dfsg
  * d/rules: Remove duplicate HTML files
  * d/clean: Remove "test/sys/large PDF/*.pdf" left over files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Dec 2025 02:49:21 -0300

## praat 6.4.49+dfsg

=== debian/changelog ===
praat (6.4.49+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.49+dfsg
  * d/p/drop-no-pie.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Dec 2025 14:29:20 -0300

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 DEBDIR = $(CURDIR)/debian
 INSTDIR = $(DEBDIR)/praat
+DOCSDIR = $(DEBDIR)/praat-doc/usr/share/doc/praat/docs
 
 PIXDIR = usr/share/pixmaps
 SVGDIR = usr/share/icons/hicolor/scalable/apps
@@ -78,5 +79,8 @@
 
 execute_after_dh_installdeb-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	rm debian/praat-doc/usr/share/doc/praat/docs/LICENSE.txt
+	# Remove extra license file
+	rm $(DOCSDIR)/LICENSE.txt
+	# Remove duplicated file (identical to index.html)
+	rm $(DOCSDIR)/Welcome.html $(DOCSDIR)/praat.html
 endif

## praat 6.4.51+dfsg

=== debian/changelog ===
praat (6.4.51+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.51+dfsg
  * d/copyright: Reflect upstream changes
  * Refresh patches for new upstream version:
    + d/p/avoid-dangling-hyperlinks.patch
    + d/p/cross-build.patch
    + d/p/drop-no-pie.patch
    + d/p/honor-cppflags.patch
    + d/p/use-ldflags.patch
  * d/rules: Take into account system's endianness

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Jan 2026 08:31:16 -0300

## praat 6.4.52+dfsg

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 18 May 2025

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../foned -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak -I ../external/whispercpp

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o SoundSet.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_files.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   Sound_enhance.o VoiceAnalysis.o H1minusH2Tier.o \
   SpeechRecognizer.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o \
   manual_commands.o manual_formulas.o manual_functions.o manual_scripting.o manual_demoWindow.o \
   manual_whatsnew.o manual_soundFiles.o manual_licenses.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o \
   manual_pointProcess.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_uvafon_init.o \
   praat_SpeechRecognizer.o


.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../foned/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== debian/changelog ===
praat (6.4.52+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.52+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Jan 2026 12:30:30 -0300

## praat 6.4.55+dfsg

=== debian/changelog ===
praat (6.4.55+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.55+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jan 2026 18:49:00 +0000

## praat 6.4.57+dfsg

=== debian/changelog ===
praat (6.4.57+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.57+dfsg
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 10:24:26 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libgtk-3-dev,
@@ -12,7 +11,7 @@
                pandoc,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: https://www.praat.org

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+ifeq (1, $(shell echo -n I | od -to2 | head -n1 | cut -f2 -d" " | cut -c6))
+ENDIANESS = LE
+else
+ENDIANESS = BE
+endif
+
 %:
 	dh $@
 
@@ -49,7 +55,7 @@
 	# Get rid of the
 	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
 	# warnings and useless dependencies
-	cp makefiles/makefile.defs.linux.pulse-gcc makefile.defs
+	cp makefiles/makefile.defs.linux.pulse-gcc.$(ENDIANESS) makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 
@@ -59,7 +65,7 @@
 
 override_dh_auto_build: praat.1 praat_nogui.1 praat-launch.1
 	dh_auto_build
-	cp makefiles/makefile.defs.linux.nogui makefile.defs
+	cp makefiles/makefile.defs.linux.nogui.$(ENDIANESS) makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\

## praat 6.4.58+dfsg

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 18 October 2025
+# 31 December 2025
 
 include ../makefile.defs
 
@@ -43,7 +43,6 @@
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o Proximity_and_Distance.o \
 	Resonator.o Roots_to_Spectrum.o \
-	SampledIntoSampled.o SampledFrameIntoSampledFrame.o \
 	SoundFrames.o \
 	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
 	Sound_and_Spectrum_dft.o \

=== debian/changelog ===
praat (6.4.58+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.58+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Feb 2026 08:48:28 +0000

## praat 6.4.59+dfsg

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		external/num/libnum.a \
 		external/vorbis/libvorbis.a \
 		external/opusfile/libopusfile.a \
+		external/whispercpp/libwhisper.a \
 		$(LIBS)
 
 all-external:
@@ -42,6 +43,7 @@
 	$(MAKE) -C external/espeak
 	$(MAKE) -C external/vorbis
 	$(MAKE) -C external/opusfile
+	$(MAKE) -C external/whispercpp
 
 all-self:
 	$(MAKE) -C kar
@@ -75,6 +77,7 @@
 	$(MAKE) -C external/espeak clean
 	$(MAKE) -C external/vorbis clean
 	$(MAKE) -C external/opusfile clean
+	$(MAKE) -C external/whispercpp clean
 
 clean-self:
 	$(MAKE) -C kar clean

=== external/vorbis/Makefile ===
# Makefile of the library "external/vorbis"
# David Weenink, 21 December 2020

include ../../makefile.defs

CPPFLAGS = -I ../../melder

OBJECTS = ogg_bitwise.o ogg_framing.o \
	vorbis_block.o vorbis_bitrate.o vorbis_codebook.o vorbis_envelope.o vorbis_floor0.o \
	vorbis_info.o vorbis_mdct.o vorbisfile.o vorbis_floor1.o vorbis_lpc.o vorbis_lsp.o \
	vorbis_mapping0.o vorbis_psy.o vorbis_registry.o vorbis_res0.o vorbis_sharedbook.o vorbis_smallft.o \
	vorbis_synthesis.o vorbis_window.o


.PHONY: all clean

all: libvorbis.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libvorbis.a

libvorbis.a: $(OBJECTS)
	touch libvorbis.a
	rm libvorbis.a
	$(AR) cq libvorbis.a $(OBJECTS)
	$(RANLIB) libvorbis.a

$(OBJECTS): *.h ../../melder/*.h

=== external/whispercpp/Makefile ===
# Makefile of the library "external/whispercpp"

include ../../makefile.defs

WHISPER_OBJECTS = \
	whisper.o \
	ggml.o \
	ggml-backend.o \
	ggml-backend-reg.o \
	ggml-alloc.o \
	ggml-threading.o \
	ggml-quants.o \
	ggml-cpu_.o \
	ggml-cpu.o \
	traits.o \
	quants.o \
	unary-ops.o \
	binary-ops.o \
	vec.o \
	ops.o

.PHONY: all clean

all: libwhisper.a

clean:
	$(RM) $(WHISPER_OBJECTS)
	$(RM) libwhisper.a

libwhisper.a: $(WHISPER_OBJECTS)
	touch libwhisper.a
	rm libwhisper.a
	$(AR) cq libwhisper.a $(WHISPER_OBJECTS)
	$(RANLIB) libwhisper.a

$(WHISPER_OBJECTS): *.h

=== debian/changelog ===
praat (6.4.59+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.59+dfsg
  * d/clean: Remove test/script/recursive_file/kanweg.txt file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Feb 2026 04:59:05 +0000

## praat 6.4.60+dfsg

=== debian/changelog ===
praat (6.4.60+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.60+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 19 Feb 2026 16:28:00 +0000
